# Uses of Class
org.eclipse.gef.layout.algorithms.TreeLayoutHelper.TreeNode

Packages that use TreeLayoutHelper.TreeNode
Package
Description
org.eclipse.gef.layout.algorithms
This package provides different implementations of concrete layout algorithms.

## Uses of TreeLayoutHelper.TreeNode in org.eclipse.gef.layout.algorithms

Fields in org.eclipse.gef.layout.algorithms declared as TreeLayoutHelper.TreeNode
Modifier and Type
Field
Description
`protected TreeLayoutHelper.TreeNode`
TreeLayoutHelper.TreeNode.`parent`
The parent of this node.
Fields in org.eclipse.gef.layout.algorithms with type parameters of type TreeLayoutHelper.TreeNode
Modifier and Type
Field
Description
`protected final List<TreeLayoutHelper.TreeNode>`
TreeLayoutHelper.TreeNode.`children`
The children of this node.
Methods in org.eclipse.gef.layout.algorithms that return TreeLayoutHelper.TreeNode
Modifier and Type
Method
Description
`TreeLayoutHelper.TreeNode`
TreeLayoutHelper.TreeNodeFactory.`createTreeNode(org.eclipse.gef.graph.Node nodeLayout, TreeLayoutHelper observer)`
Creates a new `TreeLayoutHelper.TreeNode` for the given `Node` and `TreeLayoutHelper`.
`TreeLayoutHelper.TreeNode`
TreeLayoutHelper.TreeNode.`getParent()`
`protected TreeLayoutHelper.TreeNode`
TreeLayoutHelper.`getSuperRoot()`
Returns Super Root, that is an artificial node being a common parent for all nodes in observed tree structure.
`protected TreeLayoutHelper.TreeNode`
TreeLayoutHelper.`getTreeNode(org.eclipse.gef.graph.Node node)`
Returns a `TreeLayoutHelper.TreeNode` related to given node layout.
Methods in org.eclipse.gef.layout.algorithms that return types with arguments of type TreeLayoutHelper.TreeNode
Modifier and Type
Method
Description
`List<TreeLayoutHelper.TreeNode>`
TreeLayoutHelper.TreeNode.`getChildren()`
Methods in org.eclipse.gef.layout.algorithms with parameters of type TreeLayoutHelper.TreeNode
Modifier and Type
Method
Description
`protected void`
TreeLayoutHelper.TreeNode.`addChild(TreeLayoutHelper.TreeNode child)`
Adds given node to the list of this node's children and set its parent to this node.
`protected void`
TreeLayoutHelper.TreeListener.`defaultHandle(TreeLayoutHelper.TreeNode changedNode)`
A convenience method that can be overridden if a listener reacts the same way to all events.
`boolean`
TreeLayoutHelper.TreeNode.`isAncestorOf(TreeLayoutHelper.TreeNode descendant)`
`protected boolean`
TreeLayoutHelper.TreeNode.`isBetterParent(TreeLayoutHelper.TreeNode potentialParent)`
Checks if a potential parent would be better for this node than its current parent.
`void`
TreeLayoutHelper.TreeListener.`nodeAdded(TreeLayoutHelper.TreeNode newNode)`
Called when new node is added to the tree structure.
`void`
TreeLayoutHelper.TreeListener.`nodeRemoved(TreeLayoutHelper.TreeNode removedNode)`
Called when a node is removed from the tree structure.
`void`
TreeLayoutHelper.TreeListener.`parentChanged(TreeLayoutHelper.TreeNode node, TreeLayoutHelper.TreeNode previousParent)`
Called when a node changes its parent.